Pagina 2 di 2

Re: PHP7

Inviato: lun apr 24, 2017 11:01
da ponce
conraid ha scritto:Tra l'altro prima ho provato a lanciare lo script nei sorgenti di slackware, senza toccare niente, e mi da errore uf8 nel configure. Non son riuscito a fare copia/incolla, se mai riprovo più tardi.

quello e' perche php.SlackBuild linka ancora la vecchia versione di alpine (ALPINE=2.20) e quindi poi non compila quello che gli serve: se aggiorni il riferimento alla 2.21 poi lo compila correttamente (e non da piu' quell'errore), mi ero scordato di metterlo tra le modifiche da fare :)

Re: PHP7

Inviato: lun apr 24, 2017 11:04
da conraid
Ah ok, visto adesso. Thanks.

Re: PHP7

Inviato: lun apr 24, 2017 12:34
da conraid
Va :(
Anche la 7.1.4
Ma allora che diavolo poteva essere? Forse una versione di c-client.a vecchia? Se ho tempo faccio un po' di prove, ora provo a ricompilare aggiungendo pdo-pgsql

Re: PHP7

Inviato: lun apr 24, 2017 13:26
da conraid
Mi va anche con l'estensione pgsql. Ora lascio stare, al prossimo aggiornamento faccio altre prove per capire l'inghippo.

Re: PHP7

Inviato: lun apr 24, 2017 15:23
da conraid
Riprovando a fare un pacchetto per il repository... ora va. Ho anche tolto alcune cose non più supportate, e tolto la patch per fpm (nella versione 7.1 cambia, ma non usandolo ho lasciato il default). Ora va, a questo punto al 99% era qualche casino con alpine e imapd. Avevo fatto un procedimento per compilare il pacchetto senza bisogno di alpine, lo metto dentro come Pat, tanto il mio repository lo uso solo io in pratica :D